/** Klasse 'Veranstaltung' */

import java.util.*;

public class Veranstaltung
{
    // Klassenvariablen (statische Variablen)
    protected static Scanner input = new Scanner(System.in); // Neues 'Scanner'-Objekt erzeugen und der Variable 'input' zuweisen
    private static ArrayList<Veranstaltung> kurse = new ArrayList<Veranstaltung>();
    
    // Variablen (nicht statisch)
    private Dozent lecturer;
    private String kursName;
    private ArrayList<Student> participants;

    /** Konstruktor */
    public Veranstaltung(Dozent neuerDozent)
    {
       lecturer = neuerDozent;
       participants = new ArrayList<Student>();
       kurse.add(this);
       System.out.println("Bitte den Namen des (neuen) Kurses eingeben: ");
       kursName = input.nextLine();
       System.out.println("--> Der Kurs wurde angelegt");
    }
    
    public void register(Student student){
        participants.add(student);
        System.out.println("--> Student Nr. " + student.GetMatrikelNr() + " wurde in '" + kursName + "' eingeschrieben");
        System.out.println();
    }
    
    public static Veranstaltung getKurs(int i){
        return kurse.get(i-1);
    }
    
    /** Ausgabe der statische Liste 'kurse' */
    public static void printCourses(){
        System.out.println("Aktuelles Kursangebot");
        System.out.println("---------------------");
        for (int i=0; i < kurse.size(); i++){
            System.out.println((i+1) + " : " + kurse.get(i).kursName);
        }
        System.out.println();
    }
}
